#ifndef PLATFORM_H
#define PLATFORM_H

#include <QPainter>
#include <QTimer>
#include <QWidget>

class Platform : public QTimer {
    Q_OBJECT

  public:
    Platform(QWidget* parent);

    void draw(QPainter& painter);

  protected:
    virtual void timerEvent(QTimerEvent*) override;

  private:
    QWidget* m_parent;
    double m_x;
    double m_y;
};

#endif // PLATFORM_H
